Subject: Re: bug#76294: `(cl-proclaim (inline foo))` vs `(defsubst foo ...)`

From: Stefan Kangas <[email-masked]>
Date: Wed, 19 Feb 2025 15:20:25 -0800

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > >> May I ask what is the value proposition of
>   > >>
>   > >>     (defun foo () ...)
>   > >>     (cl-proclaim '(inline foo))
>   > >>
>   > >> over
>   > >>
>   > >>     (defsubst foo () ...)
>   > >>
>   > >> in Emacs Lisp code?
>   > >
>   > > I never dared to touch this because I know I'm biased against those
>   > > thingies.  IOW, I'd be happy to deprecate such usage.  🙂
>
> The message starts by comparing two constructs.
> Which of the two are you proposing to deprecate?

In this bug report, I have proposed deprecating neither.

We have discussed elsewhere to deprecate `cl-proclaim`.